KWIN_CREATE_X(3)

FUNCTION
kwin_create_x - Create a pixel canvas from an X window.

SYNOPSIS
#include <karma_kwin.h>

KPixCanvas kwin_create_x

(Display *display, Window window, GC gc, int xoff, int yoff, int width, int height)

DESCRIPTION
This routine will create a pixel canvas, ready for drawing, from an X window. Note that the origin of a KPixCanvas is the upper-left corner.

display
    The X display.

window
    The window ID in which the canvas lies.

gc  The graphics context.

xoff
    The horizontal offset of the canvas origin (upper-left corner) relative to the parent window.

yoff
    The vertical offset of the canvas origin (upper-left corner) relative to the parent window.

width
    The width (vertical extent) of the canvas.

height
    The height (horizontal extent) of the canvas.

RETURN VALUE
A pixel canvas on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
This routine is only available with the X window system.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/